<!--<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>

  
  <style type="text/css" media="screen">
    @import url('style.css');
    @import url('roundedcorners.css');
  </style>
  <script src="clover.js" type="text/javascript"></script>
  <script src="sorttable.js" type="text/javascript"></script>
<title> HttpCore NIO 4.2.3 </title>      
</head>
  <body onload="showContent();">
    <div id="loading">Loading...</div>
    <div style="display:none;position:relative; height:20px" id="content">
        <div id="nav">
        <ul>
                        <li class="titleText selectable  active ">
                <a href="pkg-app.html">Classes</a>
            </li>
                        <li class="titleText selectable  inactive ">
                <a href="pkg-test.html">Tests</a>
            </li>
                        <li class="titleText selectable  inactive ">
                <a href="pkg-results.html">Results</a>
            </li>
                    </ul>
        </div>
    </div>
            <table class="barGraph" id="classlist"  cellspacing="0">

<tbody>
    <tr>
    <td class="sortable graphHeaderLeft tabPanel" onclick="ts_resortTable(this, 'alpha', 0);return false;">Class</td>
    <td class="sortable graphHeader tabPanel" onclick="ts_resortTable(this, 'number', 1);return false;">Coverage&nbsp;&nbsp;&nbsp;&nbsp;</td>
    </tr>
      <tr>
    <td><span class="sortValue">AbstractAsyncRequestConsumer</span>
            <a class="classlist" target="classPane" href="org/apache/http/nio/protocol/AbstractAsyncRequestConsumer.html#AbstractAsyncRequestConsumer" title="org.apache.http.nio.protocol.AbstractAsyncRequestConsumer">AbstractAsyncRequestConsumer</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.8913044</span>
        <i>(89.1%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">AbstractAsyncResponseConsumer</span>
            <a class="classlist" target="classPane" href="org/apache/http/nio/protocol/AbstractAsyncResponseConsumer.html#AbstractAsyncResponseConsumer" title="org.apache.http.nio.protocol.AbstractAsyncResponseConsumer">AbstractAsyncResponseConsumer</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.98039216</span>
        <i>(98%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">AbstractContentDecoder</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/nio/codecs/AbstractContentDecoder.html#AbstractContentDecoder" title="org.apache.http.impl.nio.codecs.AbstractContentDecoder">AbstractContentDecoder</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">AbstractContentEncoder</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/nio/codecs/AbstractContentEncoder.html#AbstractContentEncoder" title="org.apache.http.impl.nio.codecs.AbstractContentEncoder">AbstractContentEncoder</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">AbstractIODispatch</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/nio/reactor/AbstractIODispatch.html#AbstractIODispatch" title="org.apache.http.impl.nio.reactor.AbstractIODispatch">AbstractIODispatch</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.6666667</span>
        <i>(66.7%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">AbstractIOReactor</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/nio/reactor/AbstractIOReactor.html#AbstractIOReactor" title="org.apache.http.impl.nio.reactor.AbstractIOReactor">AbstractIOReactor</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.65371025</span>
        <i>(65.4%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">AbstractMessageParser</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/nio/codecs/AbstractMessageParser.html#AbstractMessageParser" title="org.apache.http.impl.nio.codecs.AbstractMessageParser">AbstractMessageParser</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.9727273</span>
        <i>(97.3%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">AbstractMessageWriter</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/nio/codecs/AbstractMessageWriter.html#AbstractMessageWriter" title="org.apache.http.impl.nio.codecs.AbstractMessageWriter">AbstractMessageWriter</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.8</span>
        <i>(80%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">AbstractMultiworkerIOReactor</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/nio/reactor/AbstractMultiworkerIOReactor.html#AbstractMultiworkerIOReactor" title="org.apache.http.impl.nio.reactor.AbstractMultiworkerIOReactor">AbstractMultiworkerIOReactor</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.7076923</span>
        <i>(70.8%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">AbstractMultiworkerIOReactor.DefaultThreadFactory</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/nio/reactor/AbstractMultiworkerIOReactor.html#AbstractMultiworkerIOReactor.DefaultThreadFactory" title="org.apache.http.impl.nio.reactor.AbstractMultiworkerIOReactor.DefaultThreadFactory">AbstractMultiworkerIOReactor.DefaultThreadFactory</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">AbstractMultiworkerIOReactor.Worker</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/nio/reactor/AbstractMultiworkerIOReactor.html#AbstractMultiworkerIOReactor.Worker" title="org.apache.http.impl.nio.reactor.AbstractMultiworkerIOReactor.Worker">AbstractMultiworkerIOReactor.Worker</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">AbstractNIOConnPool</span>
            <a class="classlist" target="classPane" href="org/apache/http/nio/pool/AbstractNIOConnPool.html#AbstractNIOConnPool" title="org.apache.http.nio.pool.AbstractNIOConnPool">AbstractNIOConnPool</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.9127182</span>
        <i>(91.3%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">AbstractNIOConnPool.InternalSessionRequestCallback</span>
            <a class="classlist" target="classPane" href="org/apache/http/nio/pool/AbstractNIOConnPool.html#AbstractNIOConnPool.InternalSessionRequestCallback" title="org.apache.http.nio.pool.AbstractNIOConnPool.InternalSessionRequestCallback">AbstractNIOConnPool.InternalSessionRequestCallback</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.25</span>
        <i>(25%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">AsyncNHttpClientHandler</span>
            <a class="classlist" target="classPane" href="org/apache/http/nio/protocol/AsyncNHttpClientHandler.html#AsyncNHttpClientHandler" title="org.apache.http.nio.protocol.AsyncNHttpClientHandler">AsyncNHttpClientHandler</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.6612245</span>
        <i>(66.1%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">AsyncNHttpClientHandler.ClientConnState</span>
            <a class="classlist" target="classPane" href="org/apache/http/nio/protocol/AsyncNHttpClientHandler.html#AsyncNHttpClientHandler.ClientConnState" title="org.apache.http.nio.protocol.AsyncNHttpClientHandler.ClientConnState">AsyncNHttpClientHandler.ClientConnState</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.9591837</span>
        <i>(95.9%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">AsyncNHttpServiceHandler</span>
            <a class="classlist" target="classPane" href="org/apache/http/nio/protocol/AsyncNHttpServiceHandler.html#AsyncNHttpServiceHandler" title="org.apache.http.nio.protocol.AsyncNHttpServiceHandler">AsyncNHttpServiceHandler</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.6677966</span>
        <i>(66.8%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">AsyncNHttpServiceHandler.ResponseTriggerImpl</span>
            <a class="classlist" target="classPane" href="org/apache/http/nio/protocol/AsyncNHttpServiceHandler.html#AsyncNHttpServiceHandler.ResponseTriggerImpl" title="org.apache.http.nio.protocol.AsyncNHttpServiceHandler.ResponseTriggerImpl">AsyncNHttpServiceHandler.ResponseTriggerImpl</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.5625</span>
        <i>(56.2%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">AsyncNHttpServiceHandler.ServerConnState</span>
            <a class="classlist" target="classPane" href="org/apache/http/nio/protocol/AsyncNHttpServiceHandler.html#AsyncNHttpServiceHandler.ServerConnState" title="org.apache.http.nio.protocol.AsyncNHttpServiceHandler.ServerConnState">AsyncNHttpServiceHandler.ServerConnState</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.8360656</span>
        <i>(83.6%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">BaseIOReactor</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/nio/reactor/BaseIOReactor.html#BaseIOReactor" title="org.apache.http.impl.nio.reactor.BaseIOReactor">BaseIOReactor</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.7741935</span>
        <i>(77.4%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">BasicAsyncRequestConsumer</span>
            <a class="classlist" target="classPane" href="org/apache/http/nio/protocol/BasicAsyncRequestConsumer.html#BasicAsyncRequestConsumer" title="org.apache.http.nio.protocol.BasicAsyncRequestConsumer">BasicAsyncRequestConsumer</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.8518519</span>
        <i>(85.2%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">BasicAsyncRequestExecutionHandler</span>
            <a class="classlist" target="classPane" href="org/apache/http/nio/protocol/BasicAsyncRequestExecutionHandler.html#BasicAsyncRequestExecutionHandler" title="org.apache.http.nio.protocol.BasicAsyncRequestExecutionHandler">BasicAsyncRequestExecutionHandler</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.9909091</span>
        <i>(99.1%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">BasicAsyncRequestHandler</span>
            <a class="classlist" target="classPane" href="org/apache/http/nio/protocol/BasicAsyncRequestHandler.html#BasicAsyncRequestHandler" title="org.apache.http.nio.protocol.BasicAsyncRequestHandler">BasicAsyncRequestHandler</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">BasicAsyncRequestProducer</span>
            <a class="classlist" target="classPane" href="org/apache/http/nio/protocol/BasicAsyncRequestProducer.html#BasicAsyncRequestProducer" title="org.apache.http.nio.protocol.BasicAsyncRequestProducer">BasicAsyncRequestProducer</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.8695652</span>
        <i>(87%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">BasicAsyncResponseConsumer</span>
            <a class="classlist" target="classPane" href="org/apache/http/nio/protocol/BasicAsyncResponseConsumer.html#BasicAsyncResponseConsumer" title="org.apache.http.nio.protocol.BasicAsyncResponseConsumer">BasicAsyncResponseConsumer</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.8518519</span>
        <i>(85.2%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">BasicAsyncResponseProducer</span>
            <a class="classlist" target="classPane" href="org/apache/http/nio/protocol/BasicAsyncResponseProducer.html#BasicAsyncResponseProducer" title="org.apache.http.nio.protocol.BasicAsyncResponseProducer">BasicAsyncResponseProducer</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.85106385</span>
        <i>(85.1%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">BasicNIOConnFactory</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/nio/pool/BasicNIOConnFactory.html#BasicNIOConnFactory" title="org.apache.http.impl.nio.pool.BasicNIOConnFactory">BasicNIOConnFactory</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.7241379</span>
        <i>(72.4%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">BasicNIOConnPool</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/nio/pool/BasicNIOConnPool.html#BasicNIOConnPool" title="org.apache.http.impl.nio.pool.BasicNIOConnPool">BasicNIOConnPool</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.8095238</span>
        <i>(81%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">BasicNIOPoolEntry</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/nio/pool/BasicNIOPoolEntry.html#BasicNIOPoolEntry" title="org.apache.http.impl.nio.pool.BasicNIOPoolEntry">BasicNIOPoolEntry</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
          <tr>
    <td><span class="sortValue">BufferingHttpClientHandler</span>
            <a class="classlist" target="classPane" href="org/apache/http/nio/protocol/BufferingHttpClientHandler.html#BufferingHttpClientHandler" title="org.apache.http.nio.protocol.BufferingHttpClientHandler">BufferingHttpClientHandler</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.0</span>
        <i>(0%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">BufferingHttpClientHandler.ExecutionHandlerAdaptor</span>
            <a class="classlist" target="classPane" href="org/apache/http/nio/protocol/BufferingHttpClientHandler.html#BufferingHttpClientHandler.ExecutionHandlerAdaptor" title="org.apache.http.nio.protocol.BufferingHttpClientHandler.ExecutionHandlerAdaptor">BufferingHttpClientHandler.ExecutionHandlerAdaptor</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.0</span>
        <i>(0%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">BufferingHttpServiceHandler</span>
            <a class="classlist" target="classPane" href="org/apache/http/nio/protocol/BufferingHttpServiceHandler.html#BufferingHttpServiceHandler" title="org.apache.http.nio.protocol.BufferingHttpServiceHandler">BufferingHttpServiceHandler</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.6666667</span>
        <i>(66.7%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">BufferingHttpServiceHandler.RequestHandlerAdaptor</span>
            <a class="classlist" target="classPane" href="org/apache/http/nio/protocol/BufferingHttpServiceHandler.html#BufferingHttpServiceHandler.RequestHandlerAdaptor" title="org.apache.http.nio.protocol.BufferingHttpServiceHandler.RequestHandlerAdaptor">BufferingHttpServiceHandler.RequestHandlerAdaptor</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.71428573</span>
        <i>(71.4%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">BufferingHttpServiceHandler.RequestHandlerResolverAdaptor</span>
            <a class="classlist" target="classPane" href="org/apache/http/nio/protocol/BufferingHttpServiceHandler.html#BufferingHttpServiceHandler.RequestHandlerResolverAdaptor" title="org.apache.http.nio.protocol.BufferingHttpServiceHandler.RequestHandlerResolverAdaptor">BufferingHttpServiceHandler.RequestHandlerResolverAdaptor</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.71428573</span>
        <i>(71.4%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">BufferingNHttpEntity</span>
            <a class="classlist" target="classPane" href="org/apache/http/nio/entity/BufferingNHttpEntity.html#BufferingNHttpEntity" title="org.apache.http.nio.entity.BufferingNHttpEntity">BufferingNHttpEntity</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.46153846</span>
        <i>(46.2%)</i><br/>
    </td>
  </tr>
          <tr>
    <td><span class="sortValue">ChannelEntry</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/nio/reactor/ChannelEntry.html#ChannelEntry" title="org.apache.http.impl.nio.reactor.ChannelEntry">ChannelEntry</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.9</span>
        <i>(90%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">ChunkDecoder</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/nio/codecs/ChunkDecoder.html#ChunkDecoder" title="org.apache.http.impl.nio.codecs.ChunkDecoder">ChunkDecoder</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.96089387</span>
        <i>(96.1%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">ChunkEncoder</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/nio/codecs/ChunkEncoder.html#ChunkEncoder" title="org.apache.http.impl.nio.codecs.ChunkEncoder">ChunkEncoder</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.8507463</span>
        <i>(85.1%)</i><br/>
    </td>
  </tr>
            <tr>
    <td><span class="sortValue">ConsumingNHttpEntityTemplate</span>
            <a class="classlist" target="classPane" href="org/apache/http/nio/entity/ConsumingNHttpEntityTemplate.html#ConsumingNHttpEntityTemplate" title="org.apache.http.nio.entity.ConsumingNHttpEntityTemplate">ConsumingNHttpEntityTemplate</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.0</span>
        <i>(0%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">ContentBufferEntity</span>
            <a class="classlist" target="classPane" href="org/apache/http/nio/entity/ContentBufferEntity.html#ContentBufferEntity" title="org.apache.http.nio.entity.ContentBufferEntity">ContentBufferEntity</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.625</span>
        <i>(62.5%)</i><br/>
    </td>
  </tr>
          <tr>
    <td><span class="sortValue">ContentDecoderChannel</span>
            <a class="classlist" target="classPane" href="org/apache/http/nio/ContentDecoderChannel.html#ContentDecoderChannel" title="org.apache.http.nio.ContentDecoderChannel">ContentDecoderChannel</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
          <tr>
    <td><span class="sortValue">ContentEncoderChannel</span>
            <a class="classlist" target="classPane" href="org/apache/http/nio/ContentEncoderChannel.html#ContentEncoderChannel" title="org.apache.http.nio.ContentEncoderChannel">ContentEncoderChannel</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
          <tr>
    <td><span class="sortValue">ContentInputStream</span>
            <a class="classlist" target="classPane" href="org/apache/http/nio/entity/ContentInputStream.html#ContentInputStream" title="org.apache.http.nio.entity.ContentInputStream">ContentInputStream</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.7241379</span>
        <i>(72.4%)</i><br/>
    </td>
  </tr>
            <tr>
    <td><span class="sortValue">ContentOutputStream</span>
            <a class="classlist" target="classPane" href="org/apache/http/nio/entity/ContentOutputStream.html#ContentOutputStream" title="org.apache.http.nio.entity.ContentOutputStream">ContentOutputStream</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.7</span>
        <i>(70%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">DefaultClientIOEventDispatch</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/nio/DefaultClientIOEventDispatch.html#DefaultClientIOEventDispatch" title="org.apache.http.impl.nio.DefaultClientIOEventDispatch">DefaultClientIOEventDispatch</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.0</span>
        <i>(0%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">DefaultConnectingIOReactor</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/nio/reactor/DefaultConnectingIOReactor.html#DefaultConnectingIOReactor" title="org.apache.http.impl.nio.reactor.DefaultConnectingIOReactor">DefaultConnectingIOReactor</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.60273975</span>
        <i>(60.3%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">DefaultHttpClientIODispatch</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/nio/DefaultHttpClientIODispatch.html#DefaultHttpClientIODispatch" title="org.apache.http.impl.nio.DefaultHttpClientIODispatch">DefaultHttpClientIODispatch</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.5405405</span>
        <i>(54.1%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">DefaultHttpRequestParser</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/nio/codecs/DefaultHttpRequestParser.html#DefaultHttpRequestParser" title="org.apache.http.impl.nio.codecs.DefaultHttpRequestParser">DefaultHttpRequestParser</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">DefaultHttpRequestWriter</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/nio/codecs/DefaultHttpRequestWriter.html#DefaultHttpRequestWriter" title="org.apache.http.impl.nio.codecs.DefaultHttpRequestWriter">DefaultHttpRequestWriter</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">DefaultHttpResponseParser</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/nio/codecs/DefaultHttpResponseParser.html#DefaultHttpResponseParser" title="org.apache.http.impl.nio.codecs.DefaultHttpResponseParser">DefaultHttpResponseParser</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">DefaultHttpResponseWriter</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/nio/codecs/DefaultHttpResponseWriter.html#DefaultHttpResponseWriter" title="org.apache.http.impl.nio.codecs.DefaultHttpResponseWriter">DefaultHttpResponseWriter</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">DefaultHttpServerIODispatch</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/nio/DefaultHttpServerIODispatch.html#DefaultHttpServerIODispatch" title="org.apache.http.impl.nio.DefaultHttpServerIODispatch">DefaultHttpServerIODispatch</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.6388889</span>
        <i>(63.9%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">DefaultListeningIOReactor</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/nio/reactor/DefaultListeningIOReactor.html#DefaultListeningIOReactor" title="org.apache.http.impl.nio.reactor.DefaultListeningIOReactor">DefaultListeningIOReactor</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.60958904</span>
        <i>(61%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">DefaultNHttpClientConnection</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/nio/DefaultNHttpClientConnection.html#DefaultNHttpClientConnection" title="org.apache.http.impl.nio.DefaultNHttpClientConnection">DefaultNHttpClientConnection</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.79310346</span>
        <i>(79.3%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">DefaultNHttpClientConnectionFactory</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/nio/DefaultNHttpClientConnectionFactory.html#DefaultNHttpClientConnectionFactory" title="org.apache.http.impl.nio.DefaultNHttpClientConnectionFactory">DefaultNHttpClientConnectionFactory</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.7692308</span>
        <i>(76.9%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">DefaultNHttpServerConnection</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/nio/DefaultNHttpServerConnection.html#DefaultNHttpServerConnection" title="org.apache.http.impl.nio.DefaultNHttpServerConnection">DefaultNHttpServerConnection</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.8503401</span>
        <i>(85%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">DefaultNHttpServerConnectionFactory</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/nio/DefaultNHttpServerConnectionFactory.html#DefaultNHttpServerConnectionFactory" title="org.apache.http.impl.nio.DefaultNHttpServerConnectionFactory">DefaultNHttpServerConnectionFactory</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.6923077</span>
        <i>(69.2%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">DefaultServerIOEventDispatch</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/nio/DefaultServerIOEventDispatch.html#DefaultServerIOEventDispatch" title="org.apache.http.impl.nio.DefaultServerIOEventDispatch">DefaultServerIOEventDispatch</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.0</span>
        <i>(0%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">DirectByteBufferAllocator</span>
            <a class="classlist" target="classPane" href="org/apache/http/nio/util/DirectByteBufferAllocator.html#DirectByteBufferAllocator" title="org.apache.http.nio.util.DirectByteBufferAllocator">DirectByteBufferAllocator</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">EntityAsyncContentProducer</span>
            <a class="classlist" target="classPane" href="org/apache/http/nio/entity/EntityAsyncContentProducer.html#EntityAsyncContentProducer" title="org.apache.http.nio.entity.EntityAsyncContentProducer">EntityAsyncContentProducer</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.1875</span>
        <i>(18.8%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">ErrorResponseProducer</span>
            <a class="classlist" target="classPane" href="org/apache/http/nio/protocol/ErrorResponseProducer.html#ErrorResponseProducer" title="org.apache.http.nio.protocol.ErrorResponseProducer">ErrorResponseProducer</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.9583333</span>
        <i>(95.8%)</i><br/>
    </td>
  </tr>
            <tr>
    <td><span class="sortValue">ExceptionEvent</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/nio/reactor/ExceptionEvent.html#ExceptionEvent" title="org.apache.http.impl.nio.reactor.ExceptionEvent">ExceptionEvent</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.6</span>
        <i>(60%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">ExpandableBuffer</span>
            <a class="classlist" target="classPane" href="org/apache/http/nio/util/ExpandableBuffer.html#ExpandableBuffer" title="org.apache.http.nio.util.ExpandableBuffer">ExpandableBuffer</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.6933333</span>
        <i>(69.3%)</i><br/>
    </td>
  </tr>
            <tr>
    <td><span class="sortValue">HeapByteBufferAllocator</span>
            <a class="classlist" target="classPane" href="org/apache/http/nio/util/HeapByteBufferAllocator.html#HeapByteBufferAllocator" title="org.apache.http.nio.util.HeapByteBufferAllocator">HeapByteBufferAllocator</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
                  <tr>
    <td><span class="sortValue">HttpAsyncRequestExecutor</span>
            <a class="classlist" target="classPane" href="org/apache/http/nio/protocol/HttpAsyncRequestExecutor.html#HttpAsyncRequestExecutor" title="org.apache.http.nio.protocol.HttpAsyncRequestExecutor">HttpAsyncRequestExecutor</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.9539749</span>
        <i>(95.4%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">HttpAsyncRequestExecutor.State</span>
            <a class="classlist" target="classPane" href="org/apache/http/nio/protocol/HttpAsyncRequestExecutor.html#HttpAsyncRequestExecutor.State" title="org.apache.http.nio.protocol.HttpAsyncRequestExecutor.State">HttpAsyncRequestExecutor.State</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.9818182</span>
        <i>(98.2%)</i><br/>
    </td>
  </tr>
          <tr>
    <td><span class="sortValue">HttpAsyncRequestHandlerRegistry</span>
            <a class="classlist" target="classPane" href="org/apache/http/nio/protocol/HttpAsyncRequestHandlerRegistry.html#HttpAsyncRequestHandlerRegistry" title="org.apache.http.nio.protocol.HttpAsyncRequestHandlerRegistry">HttpAsyncRequestHandlerRegistry</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.5</span>
        <i>(50%)</i><br/>
    </td>
  </tr>
            <tr>
    <td><span class="sortValue">HttpAsyncRequester</span>
            <a class="classlist" target="classPane" href="org/apache/http/nio/protocol/HttpAsyncRequester.html#HttpAsyncRequester" title="org.apache.http.nio.protocol.HttpAsyncRequester">HttpAsyncRequester</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.9692308</span>
        <i>(96.9%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">HttpAsyncRequester.ConnRequestCallback</span>
            <a class="classlist" target="classPane" href="org/apache/http/nio/protocol/HttpAsyncRequester.html#HttpAsyncRequester.ConnRequestCallback" title="org.apache.http.nio.protocol.HttpAsyncRequester.ConnRequestCallback">HttpAsyncRequester.ConnRequestCallback</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.94285715</span>
        <i>(94.3%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">HttpAsyncRequester.RequestExecutionCallback</span>
            <a class="classlist" target="classPane" href="org/apache/http/nio/protocol/HttpAsyncRequester.html#HttpAsyncRequester.RequestExecutionCallback" title="org.apache.http.nio.protocol.HttpAsyncRequester.RequestExecutionCallback">HttpAsyncRequester.RequestExecutionCallback</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
            <tr>
    <td><span class="sortValue">HttpAsyncService</span>
            <a class="classlist" target="classPane" href="org/apache/http/nio/protocol/HttpAsyncService.html#HttpAsyncService" title="org.apache.http.nio.protocol.HttpAsyncService">HttpAsyncService</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.94285715</span>
        <i>(94.3%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">HttpAsyncService.Exchange</span>
            <a class="classlist" target="classPane" href="org/apache/http/nio/protocol/HttpAsyncService.html#HttpAsyncService.Exchange" title="org.apache.http.nio.protocol.HttpAsyncService.Exchange">HttpAsyncService.Exchange</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.7755102</span>
        <i>(77.6%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">HttpAsyncService.State</span>
            <a class="classlist" target="classPane" href="org/apache/http/nio/protocol/HttpAsyncService.html#HttpAsyncService.State" title="org.apache.http.nio.protocol.HttpAsyncService.State">HttpAsyncService.State</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
          <tr>
    <td><span class="sortValue">HttpRequestParser</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/nio/codecs/HttpRequestParser.html#HttpRequestParser" title="org.apache.http.impl.nio.codecs.HttpRequestParser">HttpRequestParser</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.0</span>
        <i>(0%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">HttpRequestWriter</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/nio/codecs/HttpRequestWriter.html#HttpRequestWriter" title="org.apache.http.impl.nio.codecs.HttpRequestWriter">HttpRequestWriter</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.0</span>
        <i>(0%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">HttpResponseParser</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/nio/codecs/HttpResponseParser.html#HttpResponseParser" title="org.apache.http.impl.nio.codecs.HttpResponseParser">HttpResponseParser</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.0</span>
        <i>(0%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">HttpResponseWriter</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/nio/codecs/HttpResponseWriter.html#HttpResponseWriter" title="org.apache.http.impl.nio.codecs.HttpResponseWriter">HttpResponseWriter</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.0</span>
        <i>(0%)</i><br/>
    </td>
  </tr>
              <tr>
    <td><span class="sortValue">IOReactorConfig</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/nio/reactor/IOReactorConfig.html#IOReactorConfig" title="org.apache.http.impl.nio.reactor.IOReactorConfig">IOReactorConfig</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.51428574</span>
        <i>(51.4%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">IOReactorException</span>
            <a class="classlist" target="classPane" href="org/apache/http/nio/reactor/IOReactorException.html#IOReactorException" title="org.apache.http.nio.reactor.IOReactorException">IOReactorException</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.625</span>
        <i>(62.5%)</i><br/>
    </td>
  </tr>
              <tr>
    <td><span class="sortValue">IOSessionImpl</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/nio/reactor/IOSessionImpl.html#IOSessionImpl" title="org.apache.http.impl.nio.reactor.IOSessionImpl">IOSessionImpl</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.47317073</span>
        <i>(47.3%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">IdentityDecoder</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/nio/codecs/IdentityDecoder.html#IdentityDecoder" title="org.apache.http.impl.nio.codecs.IdentityDecoder">IdentityDecoder</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.8028169</span>
        <i>(80.3%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">IdentityEncoder</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/nio/codecs/IdentityEncoder.html#IdentityEncoder" title="org.apache.http.impl.nio.codecs.IdentityEncoder">IdentityEncoder</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.4375</span>
        <i>(43.8%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">InterestOpEntry</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/nio/reactor/InterestOpEntry.html#InterestOpEntry" title="org.apache.http.impl.nio.reactor.InterestOpEntry">InterestOpEntry</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.0</span>
        <i>(0%)</i><br/>
    </td>
  </tr>
          <tr>
    <td><span class="sortValue">LeaseRequest</span>
            <a class="classlist" target="classPane" href="org/apache/http/nio/pool/LeaseRequest.html#LeaseRequest" title="org.apache.http.nio.pool.LeaseRequest">LeaseRequest</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">LengthDelimitedDecoder</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/nio/codecs/LengthDelimitedDecoder.html#LengthDelimitedDecoder" title="org.apache.http.impl.nio.codecs.LengthDelimitedDecoder">LengthDelimitedDecoder</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.875</span>
        <i>(87.5%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">LengthDelimitedEncoder</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/nio/codecs/LengthDelimitedEncoder.html#LengthDelimitedEncoder" title="org.apache.http.impl.nio.codecs.LengthDelimitedEncoder">LengthDelimitedEncoder</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.8095238</span>
        <i>(81%)</i><br/>
    </td>
  </tr>
            <tr>
    <td><span class="sortValue">ListenerEndpointImpl</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/nio/reactor/ListenerEndpointImpl.html#ListenerEndpointImpl" title="org.apache.http.impl.nio.reactor.ListenerEndpointImpl">ListenerEndpointImpl</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.6976744</span>
        <i>(69.8%)</i><br/>
    </td>
  </tr>
            <tr>
    <td><span class="sortValue">NByteArrayEntity</span>
            <a class="classlist" target="classPane" href="org/apache/http/nio/entity/NByteArrayEntity.html#NByteArrayEntity" title="org.apache.http.nio.entity.NByteArrayEntity">NByteArrayEntity</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.46153846</span>
        <i>(46.2%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">NFileEntity</span>
            <a class="classlist" target="classPane" href="org/apache/http/nio/entity/NFileEntity.html#NFileEntity" title="org.apache.http.nio.entity.NFileEntity">NFileEntity</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.0</span>
        <i>(0%)</i><br/>
    </td>
  </tr>
            <tr>
    <td><span class="sortValue">NHttpClientEventHandlerAdaptor</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/nio/NHttpClientEventHandlerAdaptor.html#NHttpClientEventHandlerAdaptor" title="org.apache.http.impl.nio.NHttpClientEventHandlerAdaptor">NHttpClientEventHandlerAdaptor</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.0</span>
        <i>(0%)</i><br/>
    </td>
  </tr>
              <tr>
    <td><span class="sortValue">NHttpConnectionBase</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/nio/NHttpConnectionBase.html#NHttpConnectionBase" title="org.apache.http.impl.nio.NHttpConnectionBase">NHttpConnectionBase</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.61860466</span>
        <i>(61.9%)</i><br/>
    </td>
  </tr>
          <tr>
    <td><span class="sortValue">NHttpEntityWrapper</span>
            <a class="classlist" target="classPane" href="org/apache/http/nio/entity/NHttpEntityWrapper.html#NHttpEntityWrapper" title="org.apache.http.nio.entity.NHttpEntityWrapper">NHttpEntityWrapper</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.0</span>
        <i>(0%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">NHttpHandlerBase</span>
            <a class="classlist" target="classPane" href="org/apache/http/nio/protocol/NHttpHandlerBase.html#NHttpHandlerBase" title="org.apache.http.nio.protocol.NHttpHandlerBase">NHttpHandlerBase</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.4107143</span>
        <i>(41.1%)</i><br/>
    </td>
  </tr>
                <tr>
    <td><span class="sortValue">NHttpRequestHandlerRegistry</span>
            <a class="classlist" target="classPane" href="org/apache/http/nio/protocol/NHttpRequestHandlerRegistry.html#NHttpRequestHandlerRegistry" title="org.apache.http.nio.protocol.NHttpRequestHandlerRegistry">NHttpRequestHandlerRegistry</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.0</span>
        <i>(0%)</i><br/>
    </td>
  </tr>
                <tr>
    <td><span class="sortValue">NHttpServerEventHandlerAdaptor</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/nio/NHttpServerEventHandlerAdaptor.html#NHttpServerEventHandlerAdaptor" title="org.apache.http.impl.nio.NHttpServerEventHandlerAdaptor">NHttpServerEventHandlerAdaptor</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.0</span>
        <i>(0%)</i><br/>
    </td>
  </tr>
                <tr>
    <td><span class="sortValue">NIOReactorParamBean</span>
            <a class="classlist" target="classPane" href="org/apache/http/nio/params/NIOReactorParamBean.html#NIOReactorParamBean" title="org.apache.http.nio.params.NIOReactorParamBean">NIOReactorParamBean</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.0</span>
        <i>(0%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">NIOReactorParams</span>
            <a class="classlist" target="classPane" href="org/apache/http/nio/params/NIOReactorParams.html#NIOReactorParams" title="org.apache.http.nio.params.NIOReactorParams">NIOReactorParams</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.0</span>
        <i>(0%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">NStringEntity</span>
            <a class="classlist" target="classPane" href="org/apache/http/nio/entity/NStringEntity.html#NStringEntity" title="org.apache.http.nio.entity.NStringEntity">NStringEntity</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.6792453</span>
        <i>(67.9%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">NullNHttpEntity</span>
            <a class="classlist" target="classPane" href="org/apache/http/nio/protocol/NullNHttpEntity.html#NullNHttpEntity" title="org.apache.http.nio.protocol.NullNHttpEntity">NullNHttpEntity</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.57894737</span>
        <i>(57.9%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">NullRequestConsumer</span>
            <a class="classlist" target="classPane" href="org/apache/http/nio/protocol/NullRequestConsumer.html#NullRequestConsumer" title="org.apache.http.nio.protocol.NullRequestConsumer">NullRequestConsumer</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.5217391</span>
        <i>(52.2%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">NullRequestHandler</span>
            <a class="classlist" target="classPane" href="org/apache/http/nio/protocol/NullRequestHandler.html#NullRequestHandler" title="org.apache.http.nio.protocol.NullRequestHandler">NullRequestHandler</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
          <tr>
    <td><span class="sortValue">RouteSpecificPool</span>
            <a class="classlist" target="classPane" href="org/apache/http/nio/pool/RouteSpecificPool.html#RouteSpecificPool" title="org.apache.http.nio.pool.RouteSpecificPool">RouteSpecificPool</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.983871</span>
        <i>(98.4%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">SSLClientIOEventDispatch</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/nio/SSLClientIOEventDispatch.html#SSLClientIOEventDispatch" title="org.apache.http.impl.nio.SSLClientIOEventDispatch">SSLClientIOEventDispatch</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.0</span>
        <i>(0%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">SSLClientIOEventDispatch</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/nio/ssl/SSLClientIOEventDispatch.html#SSLClientIOEventDispatch" title="org.apache.http.impl.nio.ssl.SSLClientIOEventDispatch">SSLClientIOEventDispatch</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.0</span>
        <i>(0%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">SSLIOSession</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/nio/reactor/SSLIOSession.html#SSLIOSession" title="org.apache.http.impl.nio.reactor.SSLIOSession">SSLIOSession</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.0</span>
        <i>(0%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">SSLIOSession</span>
            <a class="classlist" target="classPane" href="org/apache/http/nio/reactor/ssl/SSLIOSession.html#SSLIOSession" title="org.apache.http.nio.reactor.ssl.SSLIOSession">SSLIOSession</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.69942194</span>
        <i>(69.9%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">SSLIOSession.InternalByteChannel</span>
            <a class="classlist" target="classPane" href="org/apache/http/nio/reactor/ssl/SSLIOSession.html#SSLIOSession.InternalByteChannel" title="org.apache.http.nio.reactor.ssl.SSLIOSession.InternalByteChannel">SSLIOSession.InternalByteChannel</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.5</span>
        <i>(50%)</i><br/>
    </td>
  </tr>
          <tr>
    <td><span class="sortValue">SSLIOSessionHandlerAdaptor</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/nio/reactor/SSLIOSessionHandlerAdaptor.html#SSLIOSessionHandlerAdaptor" title="org.apache.http.impl.nio.reactor.SSLIOSessionHandlerAdaptor">SSLIOSessionHandlerAdaptor</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.0</span>
        <i>(0%)</i><br/>
    </td>
  </tr>
            <tr>
    <td><span class="sortValue">SSLNHttpClientConnectionFactory</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/nio/SSLNHttpClientConnectionFactory.html#SSLNHttpClientConnectionFactory" title="org.apache.http.impl.nio.SSLNHttpClientConnectionFactory">SSLNHttpClientConnectionFactory</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.52380955</span>
        <i>(52.4%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">SSLNHttpServerConnectionFactory</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/nio/SSLNHttpServerConnectionFactory.html#SSLNHttpServerConnectionFactory" title="org.apache.http.impl.nio.SSLNHttpServerConnectionFactory">SSLNHttpServerConnectionFactory</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.52380955</span>
        <i>(52.4%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">SSLServerIOEventDispatch</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/nio/SSLServerIOEventDispatch.html#SSLServerIOEventDispatch" title="org.apache.http.impl.nio.SSLServerIOEventDispatch">SSLServerIOEventDispatch</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.0</span>
        <i>(0%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">SSLServerIOEventDispatch</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/nio/ssl/SSLServerIOEventDispatch.html#SSLServerIOEventDispatch" title="org.apache.http.impl.nio.ssl.SSLServerIOEventDispatch">SSLServerIOEventDispatch</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.0</span>
        <i>(0%)</i><br/>
    </td>
  </tr>
            <tr>
    <td><span class="sortValue">SSLSetupHandlerAdaptor</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/nio/reactor/SSLSetupHandlerAdaptor.html#SSLSetupHandlerAdaptor" title="org.apache.http.impl.nio.reactor.SSLSetupHandlerAdaptor">SSLSetupHandlerAdaptor</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.0</span>
        <i>(0%)</i><br/>
    </td>
  </tr>
            <tr>
    <td><span class="sortValue">SessionHandle</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/nio/reactor/SessionHandle.html#SessionHandle" title="org.apache.http.impl.nio.reactor.SessionHandle">SessionHandle</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.0</span>
        <i>(0%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">SessionHttpContext</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/nio/SessionHttpContext.html#SessionHttpContext" title="org.apache.http.impl.nio.SessionHttpContext">SessionHttpContext</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
          <tr>
    <td><span class="sortValue">SessionInputBufferImpl</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/nio/reactor/SessionInputBufferImpl.html#SessionInputBufferImpl" title="org.apache.http.impl.nio.reactor.SessionInputBufferImpl">SessionInputBufferImpl</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.91608393</span>
        <i>(91.6%)</i><br/>
    </td>
  </tr>
          <tr>
    <td><span class="sortValue">SessionOutputBufferImpl</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/nio/reactor/SessionOutputBufferImpl.html#SessionOutputBufferImpl" title="org.apache.http.impl.nio.reactor.SessionOutputBufferImpl">SessionOutputBufferImpl</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.87931037</span>
        <i>(87.9%)</i><br/>
    </td>
  </tr>
            <tr>
    <td><span class="sortValue">SessionRequestHandle</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/nio/reactor/SessionRequestHandle.html#SessionRequestHandle" title="org.apache.http.impl.nio.reactor.SessionRequestHandle">SessionRequestHandle</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.6666667</span>
        <i>(66.7%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">SessionRequestImpl</span>
            <a class="classlist" target="classPane" href="org/apache/http/impl/nio/reactor/SessionRequestImpl.html#SessionRequestImpl" title="org.apache.http.impl.nio.reactor.SessionRequestImpl">SessionRequestImpl</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.4172662</span>
        <i>(41.7%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">SharedInputBuffer</span>
            <a class="classlist" target="classPane" href="org/apache/http/nio/util/SharedInputBuffer.html#SharedInputBuffer" title="org.apache.http.nio.util.SharedInputBuffer">SharedInputBuffer</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.5903614</span>
        <i>(59%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">SharedOutputBuffer</span>
            <a class="classlist" target="classPane" href="org/apache/http/nio/util/SharedOutputBuffer.html#SharedOutputBuffer" title="org.apache.http.nio.util.SharedOutputBuffer">SharedOutputBuffer</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.63225806</span>
        <i>(63.2%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">SimpleInputBuffer</span>
            <a class="classlist" target="classPane" href="org/apache/http/nio/util/SimpleInputBuffer.html#SimpleInputBuffer" title="org.apache.http.nio.util.SimpleInputBuffer">SimpleInputBuffer</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.96875</span>
        <i>(96.9%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">SimpleNHttpRequestHandler</span>
            <a class="classlist" target="classPane" href="org/apache/http/nio/protocol/SimpleNHttpRequestHandler.html#SimpleNHttpRequestHandler" title="org.apache.http.nio.protocol.SimpleNHttpRequestHandler">SimpleNHttpRequestHandler</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">SimpleOutputBuffer</span>
            <a class="classlist" target="classPane" href="org/apache/http/nio/util/SimpleOutputBuffer.html#SimpleOutputBuffer" title="org.apache.http.nio.util.SimpleOutputBuffer">SimpleOutputBuffer</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.67346936</span>
        <i>(67.3%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">SkipContentListener</span>
            <a class="classlist" target="classPane" href="org/apache/http/nio/entity/SkipContentListener.html#SkipContentListener" title="org.apache.http.nio.entity.SkipContentListener">SkipContentListener</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.0</span>
        <i>(0%)</i><br/>
    </td>
  </tr>
          <tr>
    <td><span class="sortValue">ThrottlingHttpClientHandler</span>
            <a class="classlist" target="classPane" href="org/apache/http/nio/protocol/ThrottlingHttpClientHandler.html#ThrottlingHttpClientHandler" title="org.apache.http.nio.protocol.ThrottlingHttpClientHandler">ThrottlingHttpClientHandler</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.6525974</span>
        <i>(65.3%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">ThrottlingHttpClientHandler.ClientConnState</span>
            <a class="classlist" target="classPane" href="org/apache/http/nio/protocol/ThrottlingHttpClientHandler.html#ThrottlingHttpClientHandler.ClientConnState" title="org.apache.http.nio.protocol.ThrottlingHttpClientHandler.ClientConnState">ThrottlingHttpClientHandler.ClientConnState</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.90384614</span>
        <i>(90.4%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">ThrottlingHttpServiceHandler</span>
            <a class="classlist" target="classPane" href="org/apache/http/nio/protocol/ThrottlingHttpServiceHandler.html#ThrottlingHttpServiceHandler" title="org.apache.http.nio.protocol.ThrottlingHttpServiceHandler">ThrottlingHttpServiceHandler</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.62215906</span>
        <i>(62.2%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">ThrottlingHttpServiceHandler.ServerConnState</span>
            <a class="classlist" target="classPane" href="org/apache/http/nio/protocol/ThrottlingHttpServiceHandler.html#ThrottlingHttpServiceHandler.ServerConnState" title="org.apache.http.nio.protocol.ThrottlingHttpServiceHandler.ServerConnState">ThrottlingHttpServiceHandler.ServerConnState</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.81632656</span>
        <i>(81.6%)</i><br/>
    </td>
  </tr>
  </tbody>
</table> <!-- End table of tests -->      </body>
</html>